!-----  Ex6_7: Trancation   -----
      INTEGER :: m = 0, n = 0
      REAL, ALLOCATABLE:: a( : , : )
      DO WHILE( m<= 0 .OR. n<=0 )
         PRINT*, "Input Array Size m, n ( > 0) :"
         READ*, m, n
      END DO
      ALLOCATE( a(1:m, 1:n) )
      PRINT*, "Input Elements of A:"
      READ*, ( a(i, 1:n), i = 1, m )
!
      WHERE( a < 0) a = 0.0
      DO i = 1, m
         PRINT "(10F8.5)", a(i, :)
      END DO
      END
